Bug 846399 - [gnome-boxes] poor performance when selecting VM
[gnome-boxes] poor performance when selecting VM
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-boxes (Show other bugs)
Unspecified Unspecified
high Severity urgent
: beta
: 7.0
Assigned To: Christophe Fergeau
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-08-07 12:48 EDT by Martin
Modified: 2014-09-14 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 05:52:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (109.49 KB, image/png)
2012-08-07 12:48 EDT, Martin
no flags Details
another screenshot (44.75 KB, image/png)
2012-08-09 12:32 EDT, Martin
no flags Details

  None (edit)
Description Martin 2012-08-07 12:48:37 EDT
Created attachment 602798 [details]

Description of problem:
Animation after selecting VM freezes. see screenshot

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run Boxes
2. select VM
Actual results:
"zoom in" animation freezes

Expected results:
Boxes UI soulh be more responsible.

Additional info:
Warning in console when switching between machines overview and VM view:

Clutter-WARNING **: The actor 'ClutterBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Comment 1 Christophe Fergeau 2012-08-08 07:14:49 EDT
To be honest, I wouldn't recommend spending too much time testing 3.4.2, boxes 3.5.5 which will land soon should be much smoother
Comment 2 Martin 2012-08-08 08:47:58 EDT
Ok, I'll wait for gnome-boxes-3.5.5-1.el7 rebuild, last attempt failed and gnome-boxes- is unusable for me (Source selection screen is not responding.).
Comment 3 Christophe Fergeau 2012-08-09 09:30:01 EDT
(In reply to comment #2)
> Ok, I'll wait for gnome-boxes-3.5.5-1.el7 rebuild, last attempt failed

I've pushed a successful build this morning:
Comment 4 Martin 2012-08-09 11:59:21 EDT
libspice-client is missing in Brew:

Error: Package: gnome-boxes-3.5.5-1.el7.x86_64 (/gnome-boxes-3.5.5-1.el7.x86_64)
           Requires: libspice-client-glib-2.0.so.8()(64bit)
Error: Package: gnome-boxes-3.5.5-1.el7.x86_64 (/gnome-boxes-3.5.5-1.el7.x86_64)
           Requires: libspice-client-glib-2.0.so.8(SPICEGTK_1)(64bit)
Error: Package: gnome-boxes-3.5.5-1.el7.x86_64 (/gnome-boxes-3.5.5-1.el7.x86_64)
           Requires: libspice-client-gtk-3.0.so.4()(64bit)
Error: Package: gnome-boxes-3.5.5-1.el7.x86_64 (/gnome-boxes-3.5.5-1.el7.x86_64)
           Requires: libspice-client-gtk-3.0.so.4(SPICEGTK_1)(64bit)
Comment 5 Christophe Fergeau 2012-08-09 12:09:03 EDT
Weird, it's there https://brewweb.devel.redhat.com/buildinfo?buildID=227586 and they have the expected provides:

$ rpm -qp --provides ./spice-gtk3-0.12.101-1.el7.x86_64.rpm |grep spice
spice-gtk3 = 0.12.101-1.el7
spice-gtk3(x86-64) = 0.12.101-1.el7

$ rpm -qp --provides ./spice-glib-0.12.101-1.el7.x86_64.rpm |grep spice
spice-glib = 0.12.101-1.el7
spice-glib(x86-64) = 0.12.101-1.el7
Comment 6 Martin 2012-08-09 12:31:22 EDT
OK, updated.

I have same issues as with boxes- Source selection screen is not responding when clicking on  "Fedora", "Enter URL" and "Select a file", "Cancel" and "Back" works. see screenshot
Comment 7 Martin 2012-08-09 12:32:23 EDT
Created attachment 603303 [details]
another screenshot

see another screenshot
Comment 8 Christophe Fergeau 2012-08-10 04:09:44 EDT
This is not supposed to look like that at all, it seems like Boxes css is not used. Are there any warnings in the console related to that?
Comment 9 Martin 2012-08-10 07:46:07 EDT
(gnome-boxes:1587): Boxes-WARNING **: main.vala:89: gtk-style.css:109:18: Horizontal and vertical offsets are required
Comment 10 Christophe Fergeau 2012-08-10 07:52:30 EDT
Is that with gtk3-3.5.8-2.el7 ?
Comment 14 Martin 2013-06-11 11:42:41 EDT
Seems to be ok in Gnome 3.6 and 3.8.
Comment 15 Ludek Smid 2014-06-13 05:52:13 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.